># <b># WeaponsAttackAnimationManager</b>

A simple mod that lets you changed the attack animations of weapons.

<br/>

>## ## Installation (manual)

- extract `WeaponsAttackAnimationManager.dll` file to your `BepInEx\Plugins\` folder

<br/>

>## ## Features

- Lets you changed the attack animations (primary/secondary) of all available weapons including modded ones.
- Uses serversync and built-in config watcher.

>## ## How To Use

- Install the mod run the game start a game session and then quit to generate a yml config file (blacks7ar.WeaponsAttackAnimationManager.yml).
- The generated yml will be on the config folder and contains all the available weapons with their corresponding primary/secondary attack animations.
- You can then use that yml to change all the weapons attack animations. (Note: Changes will only take effect on the next game session so you must logout of the game first.)

<br/>

<details>
<summary><b>Vanilla Primary Attack Animations</b> (<i>click to expand</i>)</summary>
<br/>

- atgeir_attack
- swing_axe
- battleaxe_attack
- throw_bomb
- bow_fire
- crossbow_fire
- fishingrod_throw
- unarmed_attack
- knife_stab
- dual_knives
- swing_longsword
- swing_pickaxe
- swing_sledge
- spear_poke
- staff_fireball
- staff_rapidfire
- staff_shield
- staff_summon
- emote_drink
- greatsword

</details>
<br/>

<details>
<summary><b>Vanilla Secondary Attack Animations</b> (<i>click to expand</i>)</summary>
<br/>

- atgeir_secondary
- axe_secondary
- battleaxe_secondary
- unarmed_kick
- knife_secondary
- dual_knives_secondary
- mace_secondary
- spear_throw
- greatsword_secondary

</details>